org.eclipse.oomph.util

## Class SynchronizedCounter

- java.lang.Object
- - org.eclipse.oomph.util.SynchronizedCounter

-     public final class SynchronizedCounter
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynchronizedCounter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `awaitChange()`
    `boolean` | `awaitZero()`
    `void` | `countDown()`
    `void` | `countUp()`
    `int` | `getCount()`
    `boolean` | `isZero()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SynchronizedCounter

          public SynchronizedCounter()

  - ### Method Detail

    - #### countUp

          public void countUp()

    - #### countDown

          public void countDown()

    - #### getCount

          public int getCount()

    - #### isZero

          public boolean isZero()

    - #### awaitZero

          public boolean awaitZero()

    - #### awaitChange

          public boolean awaitChange()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html